import { Surfaces } from "../../surfaces.js";
import { z } from "zod";
export declare const UI_EXTENSION_HOST_INITIALIZE_EVENT_TYPE = "NF::EUI_HOST::INITIALIZE";
export declare const UIExtensionHostInitializeEventSchema: z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            configurationId: z.ZodNullable<z.ZodString>;
            dataLayerId: z.ZodNullable<z.ZodString>;
            projectId: z.ZodNullable<z.ZodString>;
            siteId: z.ZodNullable<z.ZodString>;
            teamId: z.ZodNullable<z.ZodString>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodNativeEnum<typeof Surfaces>;
        }, "strip", z.ZodTypeAny, {
            name: Surfaces;
        }, {
            name: Surfaces;
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    }, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>;
export type UIExtensionHostInitializeEvent = z.output<typeof UIExtensionHostInitializeEventSchema>;
export declare const createUIExtensionHostInitializeEvent: (data: UIExtensionHostInitializeEvent["data"]) => UIExtensionHostInitializeEvent;
//# sourceMappingURL=initialize.d.ts.map